package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 走访记录对象 szxc_visit_recard
 *
 * @author hs
 * @date 2024-04-15
 */
public class SzxcVisitRecard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 提报人 */
    @Excel(name = "提报人")
    private String visiterName;

    /** 提报日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提报日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitDate;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 类别 */
    @Excel(name = "类别")
    private String type;

    /** 走访对像id */
    @Excel(name = "走访对像id")
    private Long jmId;

    /** 走访对象 */
    @Excel(name = "走访对象")
    private String visitObj;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 随行走访人 */
    @Excel(name = "随行走访人")
    private String flowPeople;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String zfStatus;

    /** 审核部门 */
    @Excel(name = "审核部门")
    private String auditDept;

    /** 审核部门id */
    @Excel(name = "审核部门id")
    private Long auditDeptid;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditName;

    /** 审核结果 */
    @Excel(name = "审核结果")
    private String auditResult;

    /** 审核原由 */
    @Excel(name = "审核原由")
    private String auditReason;

    /** 备注 */
    @Excel(name = "备注")
    private String shRemark;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setVisiterName(String visiterName)
    {
        this.visiterName = visiterName;
    }

    public String getVisiterName()
    {
        return visiterName;
    }
    public void setSubmitDate(Date submitDate)
    {
        this.submitDate = submitDate;
    }

    public Date getSubmitDate()
    {
        return submitDate;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setJmId(Long jmId)
    {
        this.jmId = jmId;
    }

    public Long getJmId()
    {
        return jmId;
    }
    public void setVisitObj(String visitObj)
    {
        this.visitObj = visitObj;
    }

    public String getVisitObj()
    {
        return visitObj;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setPicture(String picture)
    {
        this.picture = picture;
    }

    public String getPicture()
    {
        return picture;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setFlowPeople(String flowPeople)
    {
        this.flowPeople = flowPeople;
    }

    public String getFlowPeople()
    {
        return flowPeople;
    }
    public void setZfStatus(String zfStatus)
    {
        this.zfStatus = zfStatus;
    }

    public String getZfStatus()
    {
        return zfStatus;
    }
    public void setAuditDept(String auditDept)
    {
        this.auditDept = auditDept;
    }

    public String getAuditDept()
    {
        return auditDept;
    }
    public void setAuditDeptid(Long auditDeptid)
    {
        this.auditDeptid = auditDeptid;
    }

    public Long getAuditDeptid()
    {
        return auditDeptid;
    }
    public void setAuditName(String auditName)
    {
        this.auditName = auditName;
    }

    public String getAuditName()
    {
        return auditName;
    }
    public void setAuditResult(String auditResult)
    {
        this.auditResult = auditResult;
    }

    public String getAuditResult()
    {
        return auditResult;
    }
    public void setAuditReason(String auditReason)
    {
        this.auditReason = auditReason;
    }

    public String getAuditReason()
    {
        return auditReason;
    }
    public void setShRemark(String shRemark)
    {
        this.shRemark = shRemark;
    }

    public String getShRemark()
    {
        return shRemark;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("visiterName", getVisiterName())
                .append("submitDate", getSubmitDate())
                .append("startDate", getStartDate())
                .append("endDate", getEndDate())
                .append("type", getType())
                .append("jmId", getJmId())
                .append("visitObj", getVisitObj())
                .append("title", getTitle())
                .append("picture", getPicture())
                .append("content", getContent())
                .append("flowPeople", getFlowPeople())
                .append("zfStatus", getZfStatus())
                .append("auditDept", getAuditDept())
                .append("auditDeptid", getAuditDeptid())
                .append("auditName", getAuditName())
                .append("auditResult", getAuditResult())
                .append("auditReason", getAuditReason())
                .append("shRemark", getShRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
